#1824 closed defect (fixed)

Keep rtems_shutdown_executive() parameter

Reported by: Sebastien Bourdeauducq Owned by: Joel Sherrill
Priority: normal Milestone: 4.11
Component: score Version: 4.11
Severity: normal Keywords:
Cc: sebastian.huber@… Blocked By:
Blocking:

Description

Add a variable "shutdown_result" that keeps the value passed to rtems_shutdown_executive(). BSPs can later retrieve that value and act upon it, e.g. to make a distinction between a reboot request and a power off request.

Attachments (2)

shutdownresult.diff (536 bytes) - added by Sebastien Bourdeauducq on Jun 20, 2011 at 11:00:25 AM.
patch
return_status.diff (14.2 KB) - added by Joel Sherrill on Jul 13, 2011 at 1:30:11 PM.
More complete attempt at request

Download all attachments as: .zip

Change History (6)

Changed on Jun 20, 2011 at 11:00:25 AM by Sebastien Bourdeauducq

Attachment: shutdownresult.diff added

patch

comment:1 Changed on Jul 11, 2011 at 10:22:04 AM by Sebastian Huber

Cc: Sebastian Huber added

Changed on Jul 13, 2011 at 1:30:11 PM by Joel Sherrill

Attachment: return_status.diff added

More complete attempt at request

comment:2 Changed on Jul 13, 2011 at 1:30:11 PM by Joel Sherrill

attachments.isobsolete: 01

comment:3 Changed on Jul 21, 2011 at 7:40:01 PM by Joel Sherrill

Resolution: fixed
Status: newclosed

Committed and documented in 4.11 release notes.

comment:4 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

Note: See TracTickets for help on using tickets.